1 Reply Latest reply on Jun 22, 2010 1:51 PM by Denis Golovin Branched from an earlier discussion.

    NullPointerExeption happens in BasicNotifierImpl every couple clicks in JBossTools 3.1.0.GA

    Heri Bender Newbie

      Hi Denis

       

      I'm working with JBoss DevStudio 3.0.0.v201003100055R-H50-GA which integrates the JBoss Tools. But I'm not quite sure which version of the JBoss Tools is used. I see on the Plugin details pane several versions: 1.1.0, 3.1.0, 2.1.0, but the build string is always "x.x.x.v201003100055R-H50-GA".

       

      I find the IDE very unstable. One example (I could tell about some more if you are interested): Every second start of the IDE a NullPointer happens somewhere in the deeps ofeclipse:

       

      java.lang.NullPointerException
      at org.eclipse.emf.common.notify.impl.BasicNotifierImpl.eNotify(BasicNotifierImpl.java:280)
      at org.eclipse.emf.common.notify.impl.NotifyingListImpl.dispatchNotification(NotifyingListImpl.java:267)
      at org.eclipse.jem.internal.util.emf.workbench.ProjectResourceSetImpl$SynchronizedResourcesEList.dispatchNotification(ProjectResourceSetImpl.java:335)
      at org.eclipse.emf.common.notify.impl.NotifyingListImpl.addUnique(NotifyingListImpl.java:300)
      at org.eclipse.emf.common.util.AbstractEList.add(AbstractEList.java:307)

      ... (many more).

       

      When this happens one cannot work with the IDE anymore because after a couple of clicks another Nullpointer occurs, and so on. One has to restart eclipse.

       

      You spoke of a version 3.1.1. of the JBoss tools. Can I upgrade my DevStudio-Bundle with this newer version? Is there a chance to have a more stable IDE? I'm unsure because there are many other JBoss-Plugins (Struts, Hibernate, etc.) which have different versions but all the same build string. Thanks for advice.

       

      Heri